/*
    E2Key (TM) user mode driver for GNU/Linux
    Copyright (C) 2001 James Carter <james@jfc.org.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include <stdint.h>

typedef uint16_t e2data;
typedef uint8_t e2addr;

typedef enum {
  e2OK,
  e2NoPort,
  e2PortAddressErr,
  e2AddressErr
} e2err;

extern e2err e2key_port(uint16_t port);
extern e2err e2key_write(e2addr addr, e2data data);
extern e2err e2key_read(e2addr addr, e2data *data);

