/*
    E2Key (TM) user mode driver for GNU/Linux
    Copyright (C) 2001 James Carter <james@jfc.org.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "e2key.h"

int
main(int argc, char *argv[])
{
  char *message;
  int i;
  int l;
  e2data d;

  printf("opening port...\n");
  if (e2key_port(0x378)!=e2OK) {
    printf("e2key_port failed!\n");
    exit(1);
  }
  if (argc<2) {
    printf("reading message...\n");
    e2key_read(63,&d); l=d;
    for (i=0;i<l;i++) {
      if (e2key_read(i,&d)!=e2OK) {
        printf("e2key_write failed!\n");
        exit(1);
      }
      printf("%c",d); fflush(stdout);
    }
    printf("\n");
  } else {
    printf("writing message...\n");
    message=argv[1];
    l=strlen(message);
    d=l; e2key_write(63,d);
    for (i=0;i<l;i++) {
      if (e2key_write(i,message[i])!=e2OK) {
        printf("e2key_write failed!\n");
        exit(1);
      }
      printf("%c",message[i]); fflush(stdout);
    }
    printf("\n");
  }
}
